Results 1 to 5 of 5

Thread: Metasploit - invalid driver

  1. #1
    Just burned his ISO
    Join Date
    Jan 2010
    Posts
    2

    Default Metasploit - invalid driver

    Hello, I have followed all the specified steps it asks when you type db_driver, but it continues to tell me i'm not choosing a valid driver (mysql).
    Apparently metasploit is installed with no database drivers? Why after installing mysql as it tells you to can I still not use the db_driver mysql command to use a database?

  2. #2
    Just burned his ISO
    Join Date
    Sep 2008
    Posts
    6

    Default Re: Metasploit - invalid driver

    Did you start mysql ?
    Do a update before trying again # msfupdate

  3. #3
    Just burned his ISO
    Join Date
    Apr 2010
    Posts
    3

    Default

    I am having the same problem in vmware fusion under OSX. I have gone through and ran msfupdate, apt-get install and update, and the like (also tried manually installing mysql which apparently is not needed). But I am still getting the following:

    msf> db_status
    No driver selected
    msf> db_driver mysql
    Invalid driver specified
    msf> db_connect
    No database driver has been specified

    I'm sure I am missing something obvious, but I'm just not sure what. I'm continuing the forum hunt so I apologize if I just have not found the write post that addresses this yet, but I thought I would chime in since it looks like I'm having the same problem as the OP.

    I am having the same problem in vmware fusion under OSX. I have gone through and ran msfupdate, apt-get install and update, and the like (also tried manually installing mysql which apparently is not needed). But I am still getting the following:

    msf> db_status
    No driver selected
    msf> db_driver mysql
    Invalid driver specified
    msf> db_connect
    No database driver has been specified

    I'm sure I am missing something obvious, but I'm just not sure what. I'm continuing the forum hunt so I apologize if I just have not found the write post that addresses this yet, but I thought I would chime in since it looks like I'm having the same problem as the OP.

    Edit: I also tried running the following with no luck:
    root@bt:~# apt-get install libmysqlclient-dev
    root@bt:~# gem install mysql
    Last edited by Archangel-Amael; 05-14-2011 at 07:39 PM.

  4. #4
    Just burned his ISO
    Join Date
    May 2011
    Posts
    7

    Default Re: Metasploit - invalid driver

    Are you running locally from /pentest/exploits/framework3? If so, your environment may not be setup correctly. Try using the script from /usr/local/bin/msfconsole

    See: http://www.backtrack-linux.org/forum...sfconsole.html

  5. #5
    Just burned his ISO
    Join Date
    May 2011
    Posts
    1

    Default Re: Metasploit - invalid driver

    Quote Originally Posted by AstroByte View Post
    Are you running locally from /pentest/exploits/framework3? If so, your environment may not be setup correctly. Try using the script from /usr/local/bin/msfconsole

    See: http://www.backtrack-linux.org/forum...sfconsole.html
    Having the same problems as OP, I have tried launching with the script and get this as the output

    Code:
    root@bt:~# /usr/local/bin/msfconsole
    /opt/framework3/msf3/lib/active_support/dependencies.rb:429:in `rescue in load_missing_constant': uninitialized constant Rex::Zip::Jar (NameError)
    	from /opt/framework3/msf3/lib/active_support/dependencies.rb:425:in `load_missing_constant'
    	from /opt/framework3/msf3/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'
    	from /opt/framework3/msf3/lib/msf/core/payload/java.rb:49:in `generate_jar'
    	from /opt/framework3/msf3/lib/msf/core/payload/java.rb:33:in `generate'
    	from /opt/framework3/msf3/lib/msf/core/payload.rb:166:in `size'
    	from /opt/framework3/msf3/lib/msf/core/payload_set.rb:168:in `block (2 levels) in recalculate'
    	from /opt/framework3/msf3/lib/msf/core/payload_set.rb:113:in `each_pair'
    	from /opt/framework3/msf3/lib/msf/core/payload_set.rb:113:in `block in recalculate'
    	from /opt/framework3/msf3/lib/msf/core/payload_set.rb:109:in `each_pair'
    	from /opt/framework3/msf3/lib/msf/core/payload_set.rb:109:in `recalculate'
    	from /opt/framework3/msf3/lib/msf/core/module_manager.rb:882:in `block in load_modules'
    	from /opt/framework3/msf3/lib/msf/core/module_manager.rb:881:in `each_key'
    	from /opt/framework3/msf3/lib/msf/core/module_manager.rb:881:in `load_modules'
    	from /opt/framework3/msf3/lib/msf/core/module_manager.rb:634:in `add_module_path'
    	from /opt/framework3/msf3/lib/msf/base/simple/framework.rb:112:in `simplify'
    	from /opt/framework3/msf3/lib/msf/base/simple/framework.rb:71:in `create'
    	from /opt/framework3/msf3/lib/msf/ui/console/driver.rb:85:in `initialize'
    	from /opt/framework3/msf3/msfconsole:130:in `new'
    	from /opt/framework3/msf3/msfconsole:130:in `<main>'
    Any thoughts? I have also run
    apt-get update
    apt-get upgrade
    apt-get dist-upgrade

    And done msfupdate

Similar Threads

  1. sqlite3 Invalid driver specified
    By Backtra in forum Beginners Forum
    Replies: 0
    Last Post: 05-05-2011, 08:44 PM
  2. DHCP: [192.168.1.1] ACK : 0.0.0.0 invalid GW invalid
    By uberjames in forum Beginners Forum
    Replies: 4
    Last Post: 12-22-2010, 09:48 AM
  3. invalid AP MAC address
    By stock08 in forum Beginners Forum
    Replies: 3
    Last Post: 04-23-2010, 10:14 AM
  4. --z invalid option?
    By tazzik in forum OLD Newbie Area
    Replies: 5
    Last Post: 06-02-2008, 09:28 PM
  5. invalid dep range
    By confuded in forum OLD Newbie Area
    Replies: 3
    Last Post: 08-17-2007, 06:57 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •